package com.zy.bms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.common.io.pc.GroupIO;
import com.zy.bms.common.vo.GroupListVo;
import com.zy.bms.model.Group;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 项目组 Mapper 接口
 * </p>
 *
 * @author chenyi
 * @since 2021-05-19
 */
@Mapper
@Repository
public interface GroupMapper extends BaseMapper<Group> {
    /**
     * 分页查询
     *
     * @param page 分页信息
     * @param io   查询条件
     */
    IPage<GroupListVo> listPage(Page<GroupListVo> page, @Param("io") GroupIO io);

    /**
     * 项目组编号查重
     *
     * @param code 项目组编号
     */
    int checkRepeat(@Param("code") String code);
}
