package com.zy.bms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.common.io.pc.ItemIO;
import com.zy.bms.model.Item;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 项目表 Mapper 接口
 * </p>
 *
 * @author chenyi
 * @since 2021-05-19
 */
@Mapper
@Repository
public interface ItemMapper extends BaseMapper<Item> {
    /**
     * 分页查询
     *
     * @param page 分页信息
     * @param io   查询条件
     */
    IPage<Item> listPage(Page<Item> page, @Param("io") ItemIO io);

    /**
     * 项目编号查重
     *
     * @param code 项目编号
     */
    int checkRepeat(@Param("code") String code);


}
